#pragma once
#include "Graphics/Camera.h"
#include "Graphics/Renderable.h"
#include "Scene/Node.h"

namespace BarinkEngine {
	class SceneCamera : public Group
	{
	public:
		Camera& camera;
		SceneCamera();
	};


	class SceneObject : public Group
	{
	public:
		SceneObject(std::string name, Renderable* visual);
		~SceneObject();
		Renderable* renderable;
	};
}
